E-Arogya - Feature #215

Feature # 110 (New): [LAB] Laboratory OP Module

[LAB] Create Service for Culture & Sensitivity test result
30/04/2024 05:23 PM - Srusvin Loka

Status: Closed Start date: 15/07/2024
Priority: Normal Due date:

Assignee: Harish Beechani % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Lab OP (MVP) Spent time: 0:00 hour
Deployed In: Category: Service
Description

1. Create service to get test parameters list and parameter details based on the test-parameter mapping.

2. Create service to load pathologist dropdown values, reagents dropdown values, equipment dropdown values

3. Create service for loading the mapped antibiotics for the organism from the organism-antibiotic mapping master.

4. Create SAVE service to save the lab Result entry. Upon saving the result, status of the Lab OrderID updates to Result entered
status.

5. Create UPDATE service to update the lab Result data.

6. Create DELETE result service to cancel the result entered and to rollback the Lab order status back to 'Received'.

7. Create service to get the 'Result Templates' and its default result data for the Lab test.
History

#1 - 30/04/2024 04:55 AM - Srusvin Loka

- Description updated

#2 - 30/04/2024 05:38 AM - Sivakanth Kesiraju
- Target version set to Lab OP (MVP)

#3 - 17/07/2024 12:50 AM - Harish Beechani
- Assignee changed from Srusvin Loka to Harish Beechani

- Start date changed from 30/04/2024 to 15/07/2024

#4 - 17/07/2024 12:59 AM - Harish Beechani

- Status changed from New to In Progress

#5 - 22/07/2024 03:59 AM - Harish Beechani

- Status changed from In Progress to Closed
